Results 1 to 5 of 5

Thread: software.opensuse.org showing wrong appliction version by default

  1. #1
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default software.opensuse.org showing wrong appliction version by default

    I upgraded recently from 42.2 to 42.3 by changing repos and doing a zypper dup with 4 repos (OSS, Non-OSS,Main update(OSS),update(Non-OSS) )
    But, whenever i try to install software from software.opensuse.org it always shows software for 42.2 instead of 42.3.
    I checked my settings and its is 42.3 in all the places like the ones below.

    Code:
    opensuse_leap@linux-a4vn:~> lsb_release -a
    LSB Version:    n/a
    Distributor ID:    openSUSE project
    Description:    openSUSE Leap 42.3
    Release:    42.3
    Codename:    n/a
    Code:
    opensuse_leap@linux-a4vn:~> cat /etc/os-release
    NAME="openSUSE Leap"
    VERSION="42.3"
    ID=opensuse
    ID_LIKE="suse"
    VERSION_ID="42.3"
    PRETTY_NAME="openSUSE Leap 42.3"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:leap:42.3"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://www.opensuse.org/"
    Code:
    opensuse_leap@linux-a4vn:~> cat /etc/SuSE-release 
    openSUSE 42.3 (x86_64)
    VERSION = 42.3
    CODENAME = Malachite
    # /etc/SuSE-release is deprecated and will be removed in the future, use /etc/os-release instead
    My Current repos(After installation i added few more repos)

    Code:
    opensuse_leap@linux-a4vn:~> sudo zypper ls -d
    [sudo] password for root: 
    #  | Alias                               | Name                                   | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                     
    ---+-------------------------------------+----------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------------
    1  | download.opensuse.org-non-oss       | Main Repository (NON-OSS)              | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/                                       
    2  | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss)            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/                                                  
    3  | download.opensuse.org-oss           | Main Repository (OSS)                  | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/oss/                                           
    4  | download.opensuse.org-oss_1         | Main Update Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.3/oss                                                       
    5  | http-download.opensuse.org-2d529dec | devel:languages:rust                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/rust/openSUSE_Leap_42.3/                    
    6  | http-download.opensuse.org-40ff29f7 | mozilla                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.3/                                   
    7  | http-download.opensuse.org-807ff994 | openSUSE:Leap:42.3                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Leap:/42.3/standard/                                
    8  | http-download.opensuse.org-ddc912f8 | home:Sauerland:branches:home:Sauerland | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Sauerland:/branches:/home:/Sauerland/openSUSE_Leap_42.3/
    9  | opensuse-guide.org-repo_1           | Libdvdcss Repository                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/                                                      
    10 | packman.inode.at-suse_1             | Packman Repository                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/

    From where does software.opensuse.org get wrong version of OS ? How can i fix it ?


    My OS version as per GNOME





    Sample screenshots with wrong OS versions from software.opensuse.org



    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,710
    Blog Entries
    1

    Default Re: software.opensuse.org showing wrong appliction version by default

    Click on the little 'tool' icon to the right of the search button and adjust the 'Show distribution:' version to your liking.

  3. #3
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: software.opensuse.org showing wrong appliction version by default

    Yes , i noticed that option. Is there a way to correct the issue at hand as if i don't pay attention while installing stuff i will have 42.2 repos added to Yast which may cause some issues
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,710
    Blog Entries
    1

    Default Re: software.opensuse.org showing wrong appliction version by default

    Quote Originally Posted by vazhavandan View Post
    Yes , i noticed that option. Is there a way to correct the issue at hand as if i don't pay attention while installing stuff i will have 42.2 repos added to Yast which may cause some issues
    Well, as long as you're not clearing your browser cookies, it should respect your version selection? As Leap 42.2 has only just gone EOL, I expect the administrators will change the default to Leap 42.3 soon? You could always contact them via the feedback email link at the bottom of the page.

  5. #5
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: software.opensuse.org showing wrong appliction version by default

    Quote Originally Posted by deano_ferrari View Post
    Well, as long as you're not clearing your browser cookies, it should respect your version selection? As Leap 42.2 has only just gone EOL, I expect the administrators will change the default to Leap 42.3 soon? You could always contact them via the feedback email link at the bottom of the page.
    So, it is a admin setting. I thought that the browser was reading 42.2 from somewhere on my system and showing me inappropriate results.
    I will try and email the admin. Thanks.
    Last edited by vazhavandan; 06-Feb-2018 at 23:10. Reason: Added new line
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •